ST_Reverse
Prev | 8.5. Geometry Editors | Next

## Name

ST_Reverse — Return the geometry with vertex order reversed.

## Synopsis

`geometry ST_Reverse(`geometry g1`)`;

## Description

Can be used on any geometry and reverses the order of the vertexes.

Enhanced: 2.4.0 support for curves was introduced.

This function supports 3d and will not drop the z-index.

This function supports Polyhedral surfaces.

## Examples

    SELECT ST_AsText(geom) as line, ST_AsText(ST_Reverse(geom)) As reverseline
    FROM
    (SELECT ST_MakeLine(ST_Point(1,2),
    		ST_Point(1,10)) As geom) as foo;
    --result
    		line         |     reverseline
    ---------------------+----------------------
    LINESTRING(1 2,1 10) | LINESTRING(1 10,1 2)

Prev | Up | Next
ST_RemoveRepeatedPoints | Home | ST_Segmentize